Subject: bug#31704: 26.1; tramp-remote-path/shell: broken executable completion

From: Michael Albinus <[email-masked]>
Date: Wed, 20 Jun 2018 12:17:23 +0200

Michael Albinus <[email-masked]> writes:

Hi,

>> The issue lies in shell--command-completion-data which is called
>> by shell-command-completion, it only checks directories in
>> exec-path (local) rather than tramp-remote-path. This bug also
>> leaks the local exec-path to the remote server.
>
> I have been bitten several times over the last years by this
> problem. Not enough energy to track it down.
>
> I will take your bug report as motivation to give it a try for
> fixing. Likely not Just Now, but next time, somehow. I fear, there's no
> simple solution.

Finally, I've implemented this. If you have a chance to build Emacs from
the git repository, you could try it.

Best regards, Michael.